use serde::Deserialize;

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct ProcedureConfigTemplate {
    #[serde(rename = "ProcedureID")]
    pub procedure_id: i32,
    pub procedure_type: u32,
    #[serde(rename = "ContentID")]
    pub content_id: String,
    pub jump_tos: Vec<i32>,
    pub procedure_banks: Vec<String>,
    pub procedure_event: String,
}
